# Class CIM_PublicKeyCertificate
extends CIM_SignedCredential

A PublicKeyCertificate is a credential that is cryptographically signed by a trusted Certificate Authority (CA) and issued to an authenticated entity (e.g., human user, service, etc.) called the Subject in the certificate. The public key in the certificate is cryptographically related to a private key that is held and kept private by the authenticated Subject. The certificate and its related private key can then be used for establishing trust relationships and securing communications with the Subject. Refer to the ITU/CCITT X.509 standard as an example of such certificates.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Credential
|
+--CIM_SignedCredential
|
+--CIM_PublicKeyCertificate

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

A PublicKeyCertificate is a credential that is cryptographically signed by a trusted Certificate Authority (CA) and issued to an authenticated entity (e.g., human user, service, etc.) called the Subject in the certificate. The public key in the certificate is cryptographically related to a private key that is held and kept private by the authenticated Subject. The certificate and its related private key can then be used for establishing trust relationships and securing communications with the Subject. Refer to the ITU/CCITT X.509 standard as an example of such certificates.

UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.31.1

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AltSubject | string |
Description | string | Alternate subject identifier for the Certificate.
MaxLen | uint32 | 256
ServiceCreationClassName | string |
Deprecated | string | CIM_SignedCredential.InstanceID
Description | string | The scoping Service's CCN.
MaxLen | uint32 | 256
Required | boolean | true
ServiceName | string |
Deprecated | string | CIM_SignedCredential.InstanceID
Description | string | The scoping Service's Name.
MaxLen | uint32 | 256
Required | boolean | true
Subject | string |
Description | string | Certificate subject identifier.
MaxLen | uint32 | 256
Required | boolean | true
SystemCreationClassName | string |
Deprecated | string | CIM_SignedCredential.InstanceID
Description | string | The scoping System's CCN.
MaxLen | uint32 | 256
Required | boolean | true
SystemName | string |
Deprecated | string | CIM_SignedCredential.InstanceID
Description | string | The scoping System's Name.
MaxLen | uint32 | 256
Required | boolean | true
PublicKey | uint8[] |
Description | string | The DER-encoded raw public key.
OctetString | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Expires | datetime | CIM_Credential
InstanceID | string | CIM_SignedCredential
Issued | datetime | CIM_Credential
IssuerName | string | CIM_SignedCredential
OtherSignatureAlgorithm | string | CIM_SignedCredential
SignatureAlgorithm | uint16 | CIM_SignedCredential
SignatureAlgorithmOID | string | CIM_SignedCredential
Signature | uint8[] | CIM_SignedCredential

## Class Methods